## multicomponent

- <CONCEPT>ex19.c</CONCEPT> Nonlinear driven cavity with multigrid in 2d.
  The 2D driven cavity problem is solved in a velocity-vorticity formulation.
  The flow can be driven with the lid or with bouyancy or both:
  -lidvelocity <lid>, where <lid> = dimensionless velocity of lid
  -grashof <gr>, where <gr> = dimensionless temperature gradent
  -prandtl <pr>, where <pr> = dimensionless thermal/momentum diffusity ratio
  -contours : draw contour plots of solution
- <CONCEPT>ex27.c</CONCEPT> Nonlinear driven cavity with multigrid and pseudo timestepping 2d.
  The 2D driven cavity problem is solved in a velocity-vorticity formulation.
  The flow can be driven with the lid or with bouyancy or both:
  -lidvelocity <lid>, where <lid> = dimensionless velocity of lid
  -grashof <gr>, where <gr> = dimensionless temperature gradent
  -prandtl <pr>, where <pr> = dimensionless thermal/momentum diffusity ratio
  -contours : draw contour plots of solution
- <CONCEPT>ex29.c</CONCEPT> Hall MHD with in two dimensions with time stepping and multigrid.
  -options_file ex29.options
  other PETSc options
  -resistivity <eta>
  -viscosity <nu>
  -skin_depth <d_e>
  -larmor_radius <rho_s>
  -contours : draw contour plots of solution